"""add books table

Revision ID: f36bd8e8d8c1
Revises: 
Create Date: 2019-06-12 18:58:58.292063

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f36bd8e8d8c1'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('books',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('title', sa.String(length=255), nullable=False),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('image_path', sa.String(length=255), nullable=True),
    sa.Column('rating', sa.SmallInteger(), nullable=True),
    sa.Column('upc', sa.String(length=32), nullable=True),
    sa.Column('product_type', sa.String(length=32), nullable=True),
    sa.Column('price_excl_tax', sa.Numeric(precision=6, scale=2), nullable=True),
    sa.Column('price_incl_tax', sa.Numeric(precision=6, scale=2), nullable=True),
    sa.Column('tax', sa.Numeric(precision=6, scale=2), nullable=True),
    sa.Column('in_stock', sa.Integer(), nullable=True),
    sa.Column('count_reviews', sa.Integer(), nullable=True),
    sa.Column('category', sa.String(length=32), nullable=True),
    sa.Column('currency_type', sa.String(length=4), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_books_title'), 'books', ['title'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_books_title'), table_name='books')
    op.drop_table('books')
    # ### end Alembic commands ###
